<?

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

only_reg();
only_level(3);

//Редактирование подарков
if (isset($_GET['edit_gift']) && isset($_GET['category'])){

$category = mysql_fetch_assoc(mysql_query("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['category']) . "' LIMIT 1"));
$gift = mysql_fetch_assoc(mysql_query("SELECT * FROM `gift_list` WHERE `id` = '" . intval($_GET['edit_gift']) . "' LIMIT 1"));

if (!$category || !$gift){  
$_SESSION['message'] = 'Нет такой категории или подарка';
header("Location: ?");
exit;
}

//Редактирование записи
if (isset($_POST['name']) && isset($_POST['money'])){
$name = my_esc($_POST['name']);
$money = intval($_POST['money']);
if ($money < 1)$err = 'Укажите стоимость подарка';
if (strlen2($name) < 2)$err = 'Короткое название';
if (strlen2($name) > 128)$err = 'Длина названия превышает предел в 128 символов';
if (!isset($err)){
mysql_query("UPDATE `gift_list` SET `name` = '$name' , `money` = '$money', `id_category` = '$category[id]' WHERE `id` = '$gift[id]'");
$_SESSION['message'] = 'Подарок отредактирован';
header('Location: ?category=' . $category['id'] . '&page=' . intval($_GET['page']));
exit;
}
}

////Удаление подарка
if (isset($_GET['delete'])){
unlink(H.'style/gift/' . $gift['id'] . '.png');
mysql_query("DELETE FROM `gift_list` WHERE `id` = '$gift[id]'");
mysql_query("DELETE FROM `gifts_user` WHERE `id_gift` = '$gift[id]'");
$_SESSION['message'] = 'Подарок удален';
header("Location: ?category=$category[id]&page=" . intval($_GET['page']));
exit;
}

$set['title'] = 'Редактирование подарка';
include_once '../../sys/inc/thead.php';
title();
aut();
err();

//Форма редактирования подарка
echo '<div class="block">';
echo '<form method="post" enctype="multipart/form-data"  action="?category=' . $category['id'] . '&amp;edit_gift=' . $gift['id'] . '&amp;page=' . intval($_GET['page']) . '">';
echo '<img width="100" src="/style/gift/' . $gift['id'] . '.png"></br>';
echo '<input class="input" placeholder="Название" type="text" name="name" value="' . htmlspecialchars($gift['name']) . '" />';
echo '<input class="input" placeholder="Цена" type="text" name="money" value="' . $gift['money'] . '"><br />';
echo '<input class="button" value="Сохранить" type="submit" />';
echo '</form>';
echo '</div>';

echo '<a class="link3" href="?category=' . $category['id'] . '"><i class="material-icons icon">keyboard_arrow_left</i> Назад</a>';

}

else 

//Добавление подарков
if (isset($_GET['add_gift']) && isset($_GET['category'])){
$category = mysql_fetch_assoc(mysql_query("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['category']) . "' LIMIT 1"));
if (!$category) {  
$_SESSION['message'] = 'Нет такой категории';
header("Location: ?");
exit;
}

//Создание записи
if (isset($_POST['name']) && isset($_POST['money']) && isset($_FILES['gift'])){
$name = my_esc($_POST['name']);
$money = intval($_POST['money']);
if ($money < 1)$err = 'Укажите стоимость подарка';
if (strlen2($name) < 2)$err = 'Короткое название';
if (strlen2($name) > 128)$err = 'Длина названия превышает предел в 128 символов';
if (!isset($err)){
mysql_query("INSERT INTO `gift_list` (`name`, `money`, `id_category`) values('$name', '$money', '$category[id]')");
$file_id = mysql_insert_id();
copy($_FILES['gift']['tmp_name'], H.'style/gift/' . $file_id . '.png');
@chmod(H.'style/gift/' . $file_id . '.png' , 0777);
$_SESSION['message'] = 'Подарок добавлен';
header('Location: ?category='.$category['id'].'&add_gift');
//header("Location: ?category=" . $category['id']);
exit;
}
}

$set['title'] = 'Добавление подарка';
include_once '../../sys/inc/thead.php';
title();
aut();
err();

//Форма добавление подарков
echo '<div class="block">';
echo '<form method="post" enctype="multipart/form-data"  action="?category=' . $category['id'] . '&amp;add_gift">';
echo '<input class="input" placeholder="Название" type="text" name="name" value="Подарок">';
echo '<input class="input" placeholder="Цена" type="text" name="money" value="10">';
echo 'Подарок:<input class="input" name="gift" accept="image/*,image/png" type="file" />';
echo '<input class="button" value="Загрузить" type="submit">';
echo '</form>';
echo '</div>';

echo '<a class="link3" href="?category=' . $category['id'] . '"><i class="material-icons icon">keyboard_arrow_left</i> Назад</a>';

}

else

//Вывод подарков
if (isset($_GET['category'])){
$category = mysql_fetch_assoc(mysql_query("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['category']) . "' LIMIT 1"));
if (!$category){  
$_SESSION['message'] = 'Нет такой категории';
header("Location: ?");
exit;
}

$set['title'] = 'Список подарков';
include_once '../../sys/inc/thead.php';
title();
aut();
err();

//Список подарков
$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `gift_list`  WHERE `id_category` = '$category[id]'"),0);

if ($k_post == 0){
echo '<div class="block">Нет подарков</div>';
}

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

$q = mysql_query("SELECT name,id,money FROM `gift_list` WHERE `id_category` = '$category[id]' ORDER BY `id` LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_assoc($q)){

echo '<div class="block">';
echo '<img width="100" src="/style/gift/' . $post['id'] . '.png"><br />';
echo 'Название: ' . htmlspecialchars($post['name']) . '<br /> ';
echo 'Стоимость: ' . $post['money'] . ' ' . $sMonet[0];
echo ' <a href="create.php?category=' . $category['id'] . '&amp;edit_gift=' . $post['id'] . '&amp;page=' . $page . '"><span class="icon"><i class="fas fa-edit"></i></span></a> ';
echo ' <a href="create.php?category=' . $category['id'] . '&amp;edit_gift=' . $post['id'] . '&amp;page=' . $page . '&amp;delete"><span class="icon"><i class="fas fa-trash-alt"></i></span></a> ';
echo '</div>';

}

//Вывод страниц
if ($k_page>1)str('create.php?category=' . intval($_GET['category']) . '&amp;',$k_page,$page);

echo '<a class="link3" href="?category=' . $category['id'] . '&amp;add_gift"><i class="material-icons icon">add_circle_outline</i> Добавить подарок</a>';	

echo '<a class="link3" href="?"><i class="material-icons icon">keyboard_arrow_left</i> Назад</a>';

}

else

//Создание категорий
if (isset($_GET['add_category'])){
//Создание записи
if (isset($_POST['name']) && $_POST['name'] != NULL){
$name = my_esc($_POST['name']);
if (strlen2($name) < 2)$err='Короткое название';
if (strlen2($name) > 128)$err='Длина названия превышает предел в 128 символов';
if (!isset($err)){
mysql_query("INSERT INTO `gift_categories` (`name`) values('$name')");
$_SESSION['message'] = 'Категория успешно добавлена';
header("Location: ?");
exit;
}
}

$set['title'] = 'Создание категорий';
include_once '../../sys/inc/thead.php';
title();
aut();
err();

//Форма создания категории
echo '<div class="block">';
echo '<form method="post" action="?add_category">';
echo '<input class="input" placeholder="Название" type="text" name="name">';
echo '<input class="button" value="Добавить" type="submit" />';
echo '</form>';
echo '</div>';

echo '<a class="link3" href="?"><i class="material-icons icon">keyboard_arrow_left</i> Назад</a>';	
}

else

//Редактирование категорий
if (isset($_GET['edit_category'])){
$category = mysql_fetch_assoc(mysql_query("SELECT * FROM `gift_categories` WHERE `id` = '" . intval($_GET['edit_category']) . "' LIMIT 1"));
if (!$category){  
$_SESSION['message'] = 'Нет такой категории';
header("Location: ?");
exit;
}
//Создание записи
if (isset($_POST['name']) && $_POST['name'] != NULL){
$name = my_esc($_POST['name']);
if (strlen2($name) < 2)$err='Короткое название';
if (strlen2($name) > 128)$err='Длина названия превышает предел в 128 символов';
if (!isset($err)){
mysql_query("UPDATE `gift_categories` SET `name` = '$name' WHERE `id` = '$category[id]'");
$_SESSION['message'] = 'Категория успешно переименована';
header("Location: ?");
exit;
}
}

//Удаление категории
if (isset($_GET['delete'])){
$q = mysql_query("SELECT id FROM `gift_list` WHERE `id_category` = '$category[id]'");

while ($post = mysql_fetch_assoc($q)){
unlink(H.'style/gift/' . $post['id'] . '.png');
mysql_query("DELETE FROM `gifts_user` WHERE `id_gift` = '$post[id]'");
}
mysql_query("DELETE FROM `gift_list` WHERE `id_category` = '$category[id]'");
mysql_query("DELETE FROM `gift_categories` WHERE `id` = '$category[id]' LIMIT 1");	
$_SESSION['message'] = 'Категория удалена';
header("Location: ?");
exit;
}

$set['title'] = 'Редактирование категории';
include_once '../../sys/inc/thead.php';
title();
aut();
err();

//Форма редактирования категории
echo '<div class="block">';
echo '<form method="post" action="?edit_category=' . $category['id'] . '">';
echo '<input class="input" placeholder="Название" type="text" name="name" value="' . htmlspecialchars($category['name']) . '" />';
echo '<input class="button" value="Сохранить" type="submit" />';
echo '</form>';
echo '</div>';

}

else

{

//Вывод категорий    
$set['title'] = 'Список категорий';
include_once '../../sys/inc/thead.php';
title();
aut();
err();

$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `gift_categories`"),0);
if ($k_post == 0){
echo '<div class="block">Нет категорий</div>';
}

//Вывод категорий
$q = mysql_query("SELECT name,id FROM `gift_categories` ORDER BY `id`");
while ($post = mysql_fetch_assoc($q)){
echo '<div class="block2">';
//Вывод дополнительного меню
if (isset($user) && ($user['level'] > $ank['level'] || $user['level'] != 0 && $user['id'] == $ank['id']) && user_access('guest_delete')) {
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="create.php?edit_category=' . $post['id'] . '">Редактировать</a>';
echo '<a href="create.php?edit_category=' . $post['id'] . '&amp;delete">Удалить</a>';
echo '</ul>';
echo '</div>';
}
echo '<a href="create.php?category=' . $post['id'] . '"><i class="material-icons icon">card_giftcard</i> ' . htmlspecialchars($post['name']) . '</a> ';
echo '<span class="c">' . mysql_result(mysql_query("SELECT COUNT(id) FROM `gift_list` WHERE `id_category` = '$post[id]'"),0) . '</span>';
echo '</div>';
}
echo '<a class="link3" href="?add_category"><i class="material-icons icon">add_circle_outline</i> Создать категорию</a>';	

}

include_once '../../sys/inc/tfoot.php';

?>